GET
/lyrics/searchSearches for lyrics snippets or performs fuzzy searching when exact artist/title matches fail. Very experimental.
Rate limit
30 req/min
Caching
Not cached. Realtime proxy.
Authentication
Send a
User-Agent header containing a contact email. See authentication.Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| query | string | required | Search terms, e.g. snippet of lyrics or misspelled song name. |
Request
curl 'https://api.synkradio.co.uk/lyrics/search?query=around%20the%20world' \
-H 'User-Agent: [email protected]'Try it
GETTry it
Sends a real requesthttps://api.synkradio.co.uk/lyrics/search?query=we've%20come%20too%20far%20to%20give%20upResponse
200 application/json
{
"results": [
{
"title": "Get Lucky",
"artist": "Daft Punk",
"url": "https://genius.com/Daft-punk-get-lucky-lyrics"
},
{
"title": "Lose Yourself",
"artist": "Eminem",
"url": "https://genius.com/Eminem-lose-yourself-lyrics"
}
]
}Response schema
| Field | Type | Example | Description |
|---|---|---|---|
| results | array<object> | 2 items |